You need to enable JavaScript to run this app.
Torch Log Service

Torch Log Service

Copy page
Download PDF
Data processor API
DescribeProcessors
Copy page
Download PDF
DescribeProcessors
Call the DescribeProcessors API to filter and query specific processor information based on project, topic, and other log details​
Request instructions​
  • Request method: GET​
  • Request URL: https://{tls-endpoint}/DescribeProcessors​
Request parameters​
The table below lists unique and some common request parameters for this endpoint For more information, see common parameters​
Query​
​
Parameters​
Type​
Required​
Example value​
Description​
IamProjectName​
String​
NOT​
team-a-project​
Filter the list of data processors by IAM project name​
ProjectId​
String​
NOT​
3ab4ffc5-a5d7-43c1-9012-8466c26c****​
ID of the associated project​
ProjectName​
String​
NOT​
my-log-project​
Project name.​
ProcessorId​
String​
NOT​
9e91e9e5-2063-4182-8eff-b7371500****​
Match exactly by data processor ID.​
ProcessorName​
String​
NOT​
log_processor_1​
Search data processors by name using fuzzy matching​
ProcessorStatus​
String​
NOT​
enabled​
Query by data processor status.​
  • enabled (default): Enabled status.​
  • disabled: Disabled status.​
OrderByProject​
Boolean​
NOT​
false​
Sort data processors by project. The default value is false.​
PageNumber​
Integer​
NOT​
1​
Page number for pagination The default is 1, which returns data starting from the first page​
PageSize​
Integer​
NOT​
10​
Page size. The default is 10, and the maximum is 100.​
​
Response parameters​
The following table lists only the return parameters specific to this API. For more information, see Return Structure.​
​
Parameters​
Type​
Example value​
Description​
Items​
Array of Response​
-​
Return the list of data processors.​
Total​
Integer​
1​
Represents the total number of results returned in the current query.​
​
Response​
​
Parameters​
Type​
Example value​
Description​
AccountId​
String​
214748****​
The unique identifier for the account, used to distinguish between different accounts.​
ProjectId​
String​
3ab4ffc5-a5d7-43c1-9012-8466c26c****​
Project ID.​
CreateTime​
String​
2023-01-15T08:30:00Z​
Creation time of the data processor.​
DSLContent​
String​
f_rename("path", "newpath")​
DSL content of the data processor.​
Defines the specific logic or configuration of the processor. Length must be between 1 and 4000 characters.​
UpdateTime​
String​
2023-01-15T10:45:00Z​
Last updated time of the data processor​
Description​
String​
This is a data processor​
Description of the data processor.​
Briefly describe the purpose or function of the data processor. Length must be between 1 and 255 characters.​
ProcessorId​
String​
9e91e9e5-2063-4182-8eff-b7371500****​
Data processor ID.​
ProjectName​
String​
my-log-project​
Name of the associated project.​
FailStrategy​
String​
keep_raw​
Strategy when the data processor fails Supported values are shown below​
  • keep_raw: Retain raw data​
  • drop_log: Discard logs​
ProcessorName​
String​
log_processor_1​
Name of the data processor.​
Used to uniquely identify a data processor. The length must be between 1 and 63 characters.​
ProcessorStatus​
String​
enabled​
Status of the data processor.​
  • enabled (default): Enabled status.​
  • disabled: Disabled status.​
​
Sample request​
​
GET https://{tls-endpoint}/DescribeProcessors?&IamProjectName=team-a-project&ProjectId=3ab4ffc5-a5d7-43c1-9012-8466c26c****&ProjectName=my-log-project&ProcessorId=9e91e9e5-2063-4182-8eff-b7371500****&ProcessorName=log_processor_1&ProcessorStatus=enabled&OrderByProject=false&PageNumber=1&PageSize=10 HTTP/1.1​
Content-Type: application/json​
​
Sample response​
​
Content-Type: application/json; charset=utf-8​
{​
"Items": [​
{​
"AccountId": "214748****",​
"ProjectId": "3ab4ffc5-a5d7-43c1-9012-8466c26c****",​
"CreateTime": "2023-01-15T08:30:00Z",​
"DSLContent": "f_rename("path", "newpath")",​
"UpdateTime": "2023-01-15T10:45:00Z",​
"Description": "This is a data processor",​
"ProcessorId": "9e91e9e5-2063-4182-8eff-b7371500****",​
"ProjectName": "my-log-project",​
"FailStrategy": "keep_raw",​
"ProcessorName": "log_processor_1",​
"ProcessorStatus": "enabled"​
}​
],​
"Total": 1​
}​
​
Error Code​
You can visit Common Error Codes for more information on error codes.​
Last updated: 2026.05.07 11:17:18